## scipy 1.14.1

=== meson_options.txt ===
option('blas', type: 'string', value: 'openblas',
        description: 'option for BLAS library switching')
option('lapack', type: 'string', value: 'openblas',
        description: 'option for LAPACK library switching')
option('use-g77-abi', type: 'boolean', value: false,
        description: 'If set to true, forces using g77 compatibility wrappers ' +
                     'for LAPACK functions. The default is to use gfortran ' +
                     'ABI for all LAPACK libraries except MKL.')
option('use-pythran', type: 'boolean', value: true,
        description: 'If set to false, disables using Pythran (it falls back ' +
                     'to either pure Python code or Cython code, depending on ' +
                     'the implementation).')

=== doc/Makefile ===
# Makefile for Sphinx documentation

# If `python3` doesn't point to the Python you want to use (with Sphinx installed),
# then you can use, e.g., `make html PYTHON=python3.9` to specify a Python executable
PYTHON = python3

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = LANG=C $(PYTHON) -msphinx

# Environment variables needed for notebooks (see gh-17322):
export SQLALCHEMY_SILENCE_UBER_WARNING?=1
export JUPYTER_PLATFORM_DIRS?=1

FILES=

# Internal variables.
ALLSPHINXOPTS   = -d build/doctrees $(SPHINXOPTS) source

.PHONY: help clean html changes linkcheck dist version-check

#------------------------------------------------------------------------------

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  clean     to clean all build files/directories"
	@echo "  dist      to make a distribution-ready tree (installing Scipy in venv)"
	@echo "  doc-dist  to make a distribution-ready tree (assuming Scipy is installed)"
	@echo "  upload USERNAME=... RELEASE=... to upload built docs to docs.scipy.org"
	@echo "  show      to show the HTML output"

clean:
	-rm -rf build/* source/reference/generated source/.jupyterlite.doit.db


#------------------------------------------------------------------------------
# Automated generation of all documents
#------------------------------------------------------------------------------

# Build the current scipy version, and extract docs from it.
# We have to be careful of some issues:
#
# - Everything must be done using the same Python version
# - We must use eggs (otherwise they might override PYTHONPATH on import).
# - Different versions of easy_install install to different directories (!)
#

UPLOAD_DIR=/srv/docs_scipy_org/doc/scipy-$(RELEASE)

SCIPYVER:=$(shell $(PYTHON) -c "import scipy; print(scipy.version.git_revision[:10])" 2>/dev/null)
GITVER ?= $(shell cd ../tools; $(PYTHON) -c "from version_utils import git_version; \
				print(git_version('..')[0][:10])")

version-check:
ifeq "$(GITVER)" "Unknown"
	# @echo sdist build with unlabeled sources
else ifeq ("", "$(SCIPYVER)")
	@echo scipy not found, cannot build documentation without successful \"import scipy\"
	@exit 1
else ifneq ($(SCIPYVER),$(GITVER))
	@echo installed scipy $(SCIPYVER) != current repo git version \'$(GITVER)\'
	@echo use '"make dist"' or '"GITVER=$(SCIPYVER) make $(MAKECMDGOALS) ..."'
	@exit 1
else
	# for testing
	# @echo installed scipy $(SCIPYVER) matches git version $(GITVER); exit 1
endif

dist:
	install -d build
	rm -rf build/env
	$(PYTHON) -mvenv --system-site-packages build/env
	$(CURDIR)/build/env/bin/python -mpip install -r ../requirements/doc.txt
	$(CURDIR)/build/env/bin/python -mpip install ..
	make PYTHON="$(CURDIR)/build/env/bin/python" doc-dist

doc-dist: VERSIONWARNING=-t versionwarning

doc-dist: html
	-test -d build/htmlhelp || make htmlhelp-build
	-rm -rf build/dist
	mkdir -p build/dist
	cp -r build/html/* build/dist
	(cd build/html && zip -9qr ../dist/scipy-html.zip .)
	chmod ug=rwX,o=rX -R build/dist
	find build/dist -type d -print0 | xargs -0r chmod g+s
	cd build/dist && tar czf ../dist.tar.gz *

upload:
	# SSH must be correctly configured for this to work.
	# Assumes that ``make dist`` was already run
	# Example usage: ``make upload USERNAME=rgommers RELEASE=0.17.0``
	ssh $(USERNAME)@new.scipy.org mkdir -p $(UPLOAD_DIR)
	scp build/dist.tar.gz $(USERNAME)@new.scipy.org:$(UPLOAD_DIR)
	ssh $(USERNAME)@new.scipy.org tar xvC $(UPLOAD_DIR) \
	    -zf $(UPLOAD_DIR)/dist.tar.gz
	ssh $(USERNAME)@new.scipy.org mv $(UPLOAD_DIR)/scipy-html.zip \
	    $(UPLOAD_DIR)/scipy-html-$(RELEASE).zip
	ssh $(USERNAME)@new.scipy.org rm $(UPLOAD_DIR)/dist.tar.gz
	ssh $(USERNAME)@new.scipy.org ln -snf scipy-$(RELEASE) /srv/docs_scipy_org/doc/scipy

#------------------------------------------------------------------------------
# Basic Sphinx generation rules for different formats
#------------------------------------------------------------------------------

html: version-check html-build
html-build:
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -WT --keep-going $(VERSIONWARNING) -b html $(ALLSPHINXOPTS) build/html $(FILES)

coverage: build version-check
	mkdir -p build/coverage build/doctrees
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) build/coverage $(FILES)
	@echo "Coverage finished; see c.txt and python.txt in build/coverage"

changes: version-check
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes $(FILES)
	@echo
	@echo "The overview file is in build/changes."

linkcheck: version-check
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck $(FILES)
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

show:
	@python -c "import webbrowser; webbrowser.open_new_tab('file://$(PWD)/build/html/index.html')"

=== scipy/sparse/linalg/_propack/PROPACK/complex8/Lapack_Util/Makefile ===
#
#     (C) Rasmus Munk Larsen, Stanford University, 2004
#

include ../../make.inc
OBJ = sbdsdc.o slamrg.o slascl.o slasd4.o slasda.o slasq2.o  slasr.o  \
 sbdsqr.o  slanst.o  slasd0.o  slasd5.o  slasdq.o  slasq3.o  slasrt.o  \
 slacpy.o  slapy2.o  slasd1.o  slasd6.o  slasdt.o  slasq4.o  slassq.o \
 slaed6.o  slartg.o  slasd2.o  slasd7.o  slaset.o  slasq5.o  slasv2.o \
 slas2.o   slasd3.o  slasd8.o  slasq1.o  slasq6.o  ieeeck.o \
 slartg.o  slarnv.o  slaruv.o  clarnv.o \
 clascl.o  lsame.o   ilaenv.o   slamch.o xerbla.o 

.F.o:
	$(F77) $(FFLAGS) $(IPATH) -c -o $*.o $*.F

.f.o:
	$(F77) $(FFLAGS) $(IPATH) -c -o $*.o $*.f

slamch.o: slamch.f
	$(F77)	$(FFLAGS_NOOPT) $(IPATH) -c -o $*.o $*.f

ieeeck.o: ieeeck.f
	$(F77)	$(FFLAGS_NOOPT) $(IPATH) -c -o $*.o $*.f

ilaenv.o: ilaenv.f
	$(F77)	$(FFLAGS_NOOPT) $(IPATH) -c -o $*.o $*.f

slasd4.o: slasd4.f
	$(F77)	$(FFLAGS_ACCURATE) $(IPATH) -c -o $*.o $*.f


lib: ../libclapack_util_$(PLAT).a

../libclapack_util_$(PLAT).a: $(OBJ)
	$(MAKELIB) libclapack_util_$(PLAT).a $(OBJ)	
	$(RANLIB)  libclapack_util_$(PLAT).a
	cp libclapack_util_$(PLAT).a ..

clean:	
	rm -f  *.o *.il
	rm -rf rii_files	

cleanall:
	rm -f  *.o *.x *.a *~ *.il ifc*
	rm -rf rii_files

=== debian/changelog ===
scipy (1.14.1-4ubuntu2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 20:13:13 +0000

scipy (1.14.1-4ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Disable LTO on ppc64el to avoid hang in test_nan_inputs

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Feb 2025 13:12:47 +0000

scipy (1.14.1-4) unstable; urgency=medium

  * skip special and stats complex number tests that fail with numpy 2
    on mips64el. See upstream Issue#21393. Closes: #1094477.

 -- Drew Parsons <dparsons@debian.org>  Thu, 30 Jan 2025 22:50:41 +1100

scipy (1.14.1-3ubuntu3) plucky; urgency=medium

  * Drop build-dependencies on matplotlib to break circular
    dependency while building the documentation on amd64

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 18:45:57 +0000

scipy (1.14.1-3ubuntu2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 16:48:51 +0000

scipy (1.14.1-3ubuntu1) plucky; urgency=medium

  * Disable LTO on ppc64el to avoid hang in test_nan_inputs

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 19 Dec 2024 11:45:05 +0000

scipy (1.14.1-3) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Enable parallel building.

  [ Drew Parsons ]
  * hppa: skip test_QRVS_shape_consistency
    [1-d_out1-size_in4-size_out4-qrng1-NumericalInversePolynomial]
  * update debian patch manage_docs.patch to renable html_sidebars
    provided by python3-pydata-sphinx-theme

 -- Drew Parsons <dparsons@debian.org>  Mon, 02 Dec 2024 21:00:32 +0100

scipy (1.14.1-2) unstable; urgency=medium

  * add debian patches to manage multiple python versions
    - special_libsf_error_SOABI.patch builds libsf_error.so
      with the python platform compatibility tag ('SOABI') appended to
      the library name. libsf_error uses Python.h and is therefore not
      a pure standalone C library independent of python version.
      Removes need for dh_python3 --no-ext-rename.
    - scipy_config_SOABI.patch adds platform compatibility tag
      ('SOABI') to __config__.py, which provides meson build
      information about the scipy build
  * debian patch scipy-ub-float-to-int.patch fixes undefined behaviour
    (UB) handling in expm for riscv64. Thanks Aurelien Jarno.
    Closes: #1086108.
  * python3-scipy Recommends: python3-pooch. Used by the datasets
    submodule. Closes: #1086956.

 -- Drew Parsons <dparsons@debian.org>  Fri, 22 Nov 2024 00:37:01 +0100

scipy (1.14.1-1exp1) experimental; urgency=medium

  * New upstream release.
    - applies debian patch
      0013-MAINT-Unskip-scipy.misc.test.test_decorator-for-Pyth.patch

 -- Drew Parsons <dparsons@debian.org>  Thu, 21 Nov 2024 15:09:56 +0100

scipy (1.13.1-6) unstable; urgency=medium

  * Team upload.
  * d/patches: update metadata.
  * Cherry-pick patch from upstream to fix the build with Python 3.13.
    Closes: #1081692

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 15 Nov 2024 00:59:00 +0100

=== debian/control ===
Source: scipy
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>,
           Ondrej Certik <ondrej@certik.cz>,
           David Cournapeau <cournape@gmail.com>,
           Varun Hiremath <varun@debian.org>
Section: python
Priority: optional
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               gfortran,
               libblas-dev,
               liblapack-dev,
               liblbfgsb-dev,
               libsuitesparse-dev,
               python3-mesonpy (>= 0.15.0~),
               pkgconf,
               python3-all-dev,
               python3-decorator,
               python3-numpy (>= 1:1.26.0~),
               python3-pooch,
               python3-pybind11 (>= 2.12.0~),
               python3-setuptools,
               python3-wheel,
               python3-pythran (>= 0.15.0~),
               python3-pytest,
               python3-doit (>= 0.36.0~) <!nocheck>,
               python3-hypothesis <!nocheck>
Build-Depends-Indep: dvipng,
                     dh-sequence-sphinxdoc,
                     python3-doc <!nodoc>,
                     python3-docutils,
                     python3-matplotlib,
                     python-matplotlib-doc <!nodoc>,
                     python3-myst-nb <!nodoc>,
                     python-numpy-doc <!nodoc>,
                     python3-numpydoc <!nodoc>,
                     python3-pydata-sphinx-theme,
                     python3-sphinx,
                     python3-sphinx-design,
                     python3-sphinx-tabs,
                     python-statsmodels-doc <!nodoc>,
                     rdfind,
                     symlinks,
                     texlive-latex-base,
                     texlive-latex-extra
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/scipy
Vcs-Git: https://salsa.debian.org/python-team/packages/scipy.git
Homepage: https://www.scipy.org/
Rules-Requires-Root: no

Package: python3-scipy
Architecture: any
Multi-Arch: no
Depends: python3-decorator,
         python3-numpy (>= 1:1.26.0~),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: g++ | c++-compiler,
            python3-pil,
            python3-pooch
Suggests: python-scipy-doc
Breaks: python3-skbio (<< 0.5.8-3~)
Description: scientific tools for Python 3
 SciPy supplements the popular NumPy module (python-numpy package), gathering a
 variety of high level science and engineering modules together as a single
 package.
 .
 SciPy is a set of Open Source scientific and numeric tools for Python. It
 currently supports special functions, integration, ordinary differential
 equation (ODE) solvers, gradient optimization, genetic algorithms, parallel
 programming tools, an expression-to-C++ compiler for fast execution, and
 others.

Package: python-scipy-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: fonts-open-sans,
         libjs-jquery,
         libjs-mathjax,
         libjs-underscore,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: scientific library for Python - documentation
 SciPy supplements the popular NumPy module (python-numpy package), gathering a
 variety of high level science and engineering modules together as a single
 package.
 .
 SciPy is a set of Open Source scientific and numeric tools for Python. It
 currently supports special functions, integration, ordinary differential
 equation (ODE) solvers, gradient optimization, genetic algorithms, parallel
 programming tools, an expression-to-C++ compiler for fast execution, and
 others.
 .
 This package contains documentation for the SciPy library.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=scipy

include /usr/share/dpkg/default.mk

# test_nan_inputs hangs on ppc64el when built with -O3 and LTO
# this could be related to a previous issue:
# https://github.com/scipy/scipy/issues/10656
# -O3 seems to be hardcoded in some places, so disable LTO for now
ifneq (,$(filter $(DEB_HOST_ARCH), ppc64el))
  export DEB_BUILD_MAINT_OPTIONS=optimize=-lto
endif

unexport LDFLAGS
export FFLAGS="-fPIC"
export ATLAS=None
export PATH := $(CURDIR)/debian/extra_bin:$(PATH)
export SCIPY_USE_PYTHRAN=0

PY3VERS:= $(shell py3versions -v -s)
PY3_DEFAULT:= $(shell py3versions -dv)
TMPDIR := $(CURDIR)/build/tmp
BASE=$(shell pwd)/debian

export SCIPY_USE_PYTHRAN = $(shell if dpkg-query -s python3-pythran >/dev/null 2>/dev/null; then echo 1; else echo 0; fi )

# specify build against generic BLAS/LAPACK. Preferred optimised implementation should be installed
# by the end user, not by the package build.
export PYBUILD_BUILD_ARGS := -Csetup-args=-Dblas=blas -Csetup-args=-Dlapack=lapack

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  export NPY_NUM_BUILD_JOBS = $(DEB_BUILD_OPTION_PARALLEL)
  export PYBUILD_BUILD_ARGS += -Ccompile-args=-j$(DEB_BUILD_OPTION_PARALLEL)
endif

# some arches time out. Run verbose to see where they got stuck.
VERBOSE_ARCH_LIST := mips64el riscv64 sparc64

# 32-bit stability degraded in scipy 1.12 with more tests
# getting MemoryError, especially in stats tests
# Run verbose to track more closely.
ifneq (,$(findstring $(DEB_HOST_ARCH_BITS), 32))
    VERBOSE_ARCH_LIST += $(DEB_HOST_ARCH)
endif

ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(VERBOSE_ARCH_LIST)$(space)))
    EXTRA_TEST_FLAGS += -v
endif

# stats/tests/test_continuous_basic.py::test_cont_basic[500-200-ncf-arg74] test fails with IntegrationWarning
# https://github.com/scipy/scipy/issues/14519
# test_data (pooch) needs internet or cached data files
SKIP_TEST_LIST += test_cont_basic[500-200-ncf-arg74] test_existence_all test_ascent test_face test_electrocardiogram

# multi-Ellipsis indexing in sparse will be dropped in scipy 1.13
# see https://github.com/scipy/scipy/pull/18541
# it fails tests now so skip and reinstate later for scipy 1.13
SKIP_TEST_LIST += test_multiple_ellipsis_slicing

ifneq (,$(findstring $(DEB_HOST_ARCH), arm64))
    SKIP_TEST_LIST += test_maxiter_worsening[lgmres]
endif

# linalg/tests/test_decomp.py started segfaulting on armel
ifneq (,$(findstring $(DEB_HOST_ARCH), armel))
    SKIP_TEST_LIST += test_decomp test_random_exact test_brunnermunzel_normal_dist test_sparse_dense_divide
    SKIP_TEST_LIST += test_some_code_paths test_gh12218 test_random_state
    SKIP_TEST_LIST += test_against_anderson_gumbel_r test_bootstrap_against_R test_bootstrap_against_itself_1samp
endif

ifneq (,$(findstring $(DEB_HOST_ARCH), armhf))
    SKIP_TEST_LIST += test_gh12218 test_random_state
    SKIP_TEST_LIST += test_against_anderson_gumbel_r test_bootstrap_against_R test_bootstrap_against_itself_1samp
endif

# some tests broken on i386, see https://github.com/scipy/scipy/issues/17839
ifneq (,$(findstring $(DEB_HOST_ARCH), i386))
    SKIP_TEST_LIST += test_find_peaks_exact test_find_peaks_withnoise test_x0_equals_Mb[bicgstab] test_rv_sample
    SKIP_TEST_LIST += test_location_scale[pdf test_examples[True-float64] test_pdf_nolan_samples test_cdf_nolan_samples
    SKIP_TEST_LIST += ellint_rg_xy0_ipp-ellint_rg_xy0 test_hermitian test_random_state
    SKIP_TEST_LIST += test_against_anderson_gumbel_r test_bootstrap_against_R test_bootstrap_against_itself_1samp
    SKIP_TEST_LIST += test_svd_gesdd_nofegfault
endif

# integrate/_ivp/tests/test_ivp.py fail on mips64el
# see https://github.com/scipy/scipy/issues/16883
# https://github.com/scipy/scipy/issues/17839#issuecomment-1400636840
ifneq (,$(findstring $(DEB_HOST_ARCH), mips64el))
    SKIP_TEST_LIST += test_first_step test_classes test_integrality test_integrator test_double_integrator
    SKIP_TEST_LIST += test_nanminmax TestLogM TestExpmFrechet
    SKIP_TEST_LIST += test_2x2_input test_nx2x2_input test_random_matrices_and_powers
    SKIP_TEST_LIST += test_axis_nan_policy_axis_is_None[all_nans-propagate-ttest_ci
    SKIP_TEST_LIST += test_axis_nan_policy_axis_is_None[mixed-propagate-iqr
    SKIP_TEST_LIST += test_axis_nan_policy_axis_is_None[mixed-propagate-ttest_ci
endif

# https://github.com/scipy/scipy/issues/17839#issuecomment-1401780853
ifneq (,$(findstring $(DEB_HOST_ARCH), riscv64))
    SKIP_TEST_LIST += test_maxiter_worsening[lgmres] test_milp_timeout_16545
endif

# test_atol[bicg] only just misses tolerance on s390x, but the design of the test makes it difficult to workaround,
# so skip. See https://github.com/scipy/scipy/issues/17839#issuecomment-1399477182
ifneq (,$(findstring $(DEB_HOST_ARCH), s390x))
    SKIP_TEST_LIST += test_maxiter_worsening test_atol[bicg] test_distance_transform_cdt05
endif

# Bug#1017864 test_kolmogorov.py segfaults on i386 (including hurd)
SKIP_KOLMOGOROV_ARCH_LIST := i386 hurd-i386
ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(SKIP_KOLMOGOROV_ARCH_LIST)$(space)))
    SKIP_TEST_LIST += TestSmirnovp
endif

# some tests in linalg test_matfuncs.py fail on several arches
# in particular riscv64 hppa sparc64 share many common test failure
SKIP_TestLogM_ARCH_LIST := riscv64 hppa sparc64
ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(SKIP_TestLogM_ARCH_LIST)$(space)))
    SKIP_TEST_LIST += TestLogM TestExp test_expm
    SKIP_TEST_LIST += test_random_matrices_and_powers test_2x2_input test_nx2x2_input
    SKIP_TEST_LIST += test_zoh test_foh test_transferfunction
    SKIP_TEST_LIST += test_zerospolesgain test_discrete_approx test_simo_tf test_multioutput
    SKIP_TEST_LIST += test_simo_tf test_multioutput TestC2dLti TestC2dInvariants
    SKIP_TEST_LIST += test_second_order test_integrator test_double_integrator
    SKIP_TEST_LIST += test_jordan_block test_array_like TestStep test_operators
    SKIP_TEST_LIST += test_nan_inputs[airye]
endif

# some archs fail test_cython (special test_extending) with numpy 1.26
# but will pass with numpy 2 due to complex type changes
# see https://github.com/scipy/scipy/issues/21393
SKIP_NEEDS_NUMPY2_ARCH_LIST := mips64el alpha hppa powerpc ppc64
ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(SKIP_NEEDS_NUMPY2_ARCH_LIST)$(space)))
    SKIP_TEST_LIST += test_cython
endif

# there are also further complex number problems with numpy 2 on mips64el
# again see Bug#1094477 and https://github.com/scipy/scipy/issues/21393
ifneq (,$(findstring $(DEB_HOST_ARCH), mips64el))
    SKIP_TEST_LIST += TestCephes TestEllipCarlson TestErf TestFresnel TestHyper
    SKIP_TEST_LIST += test_boost TestHyp1f1 test_nan_inputs[wofz] test_eval_chebyt_gh20129
    SKIP_TEST_LIST += test_sici_consistency test_shichi_consistency test_wrightomega
    SKIP_TEST_LIST += test_cont_basic test_norm_logcdf
endif


ifneq (,$(findstring $(DEB_HOST_ARCH), alpha))
    SKIP_TEST_LIST += test_read_over64bit_integer_dense test_read_over64bit_integer_sparse
endif

# hppa runs out of memory in test_bootstrap_against_theory
ifneq (,$(findstring $(DEB_HOST_ARCH), hppa))
    SKIP_TEST_LIST += test_nodata test_cont_basic[500-200-semicircular-arg89] test_bootstrap_against_theory test_distance_transform_cdt05
    SKIP_TEST_LIST += test_onenormest_linear_operator test_against_anderson_gumbel_r test_gh12218
    SKIP_TEST_LIST += test_roots_hermite_asy test_bootstrap_against_R bootstrap_against_itself test_against_f_oneway
    SKIP_TEST_LIST += test_QRVS_shape_consistency[1-d_out1-1-size_out1-qrng1-NumericalInversePolynomial]
    SKIP_TEST_LIST += test_QRVS_shape_consistency[None-d_out0-size_in4-size_out4-None-NumericalInversePolynomial]
    SKIP_TEST_LIST += test_QRVS_shape_consistency[None-d_out0-size_in4-size_out4-qrng1-NumericalInversePolynomial]
    SKIP_TEST_LIST += test_QRVS_shape_consistency[None-d_out0-size_in4-size_out4-qrng2-NumericalInversePolynomial]

=== debian/tests/control ===
Tests: python3
Depends: build-essential, python3-scipy, python3-pytest, python3-all, python3-all-dev,
 python3-doit, python3-pil, python3-pooch, python3-hypothesis

Tests: python3-network
Depends: build-essential, python3-scipy, python3-pytest, python3-all, python3-all-dev,
 python3-doit, python3-pil, python3-pooch, python3-hypothesis
Restrictions: needs-internet

# short test on all python versions including debug
Tests: python3-smoke
Depends: python3-scipy, python3-pytest, python3-all, python3-doit, python3-hypothesis

#needs root for update-alternatives, build-essential for libc6-dev (ctype libm.so)
Tests: openblas
Restrictions: needs-root
Depends: build-essential, python3-scipy, python3-pytest, python3, python3-doit,
 python3-hypothesis, libopenblas-dev
Architecture: amd64 arm64 armhf i386 powerpc ppc64el ppc64 kfreebsd-i386 kfreebsd-amd64 mips64el riscv64 sparc64 s390x

#needs root for update-alternatives, build-essential for libc6-dev (ctype libm.so)
Tests: blis
Restrictions: needs-root
Depends: build-essential, python3-scipy, python3-pytest, python3, python3-doit,
 python3-hypothesis, libblis-dev

## scipy 1.15.2

=== debian/changelog ===
scipy (1.15.2-7) unstable; urgency=medium

  * hppa: skip another test_QRVS_shape_consistency

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Mar 2025 17:40:11 +0100

scipy (1.15.2-6) unstable; urgency=medium

  * hppa: skip another test_QRVS_shape_consistency
  * i386 with blis: skip test_size_0 not solve_continuous_lyapunov

 -- Drew Parsons <dparsons@debian.org>  Mon, 17 Mar 2025 14:27:06 +0100

scipy (1.15.2-5) unstable; urgency=medium

  * debian/tests: skip test_splu on i386 with blis

 -- Drew Parsons <dparsons@debian.org>  Sat, 15 Mar 2025 11:40:32 +0100

scipy (1.15.2-4) unstable; urgency=medium

  * debian/tests: skip solve_continuous_lyapunov on i386 with blis
  * alpha: skip test_eval_chebyt_gh20129, test_rvs_gh18372

 -- Drew Parsons <dparsons@debian.org>  Thu, 13 Mar 2025 18:23:36 +0100

scipy (1.15.2-3) unstable; urgency=medium

  * debian/tests: skip test_trcon on i386 with blis
  * alpha: skip test_hyp0f1 in special test_basic (segfaults)

 -- Drew Parsons <dparsons@debian.org>  Wed, 12 Mar 2025 16:32:21 +0100

scipy (1.15.2-2) unstable; urgency=medium

  * skip failing tests
    - powerpc/hppa: some TestCSCNonCanonical tests
    - hppa: selected landau tests

 -- Drew Parsons <dparsons@debian.org>  Mon, 10 Mar 2025 12:47:12 +0100

scipy (1.15.2-1exp7) experimental; urgency=medium

  * fix powerpc/hppa test skips

 -- Drew Parsons <dparsons@debian.org>  Fri, 07 Mar 2025 12:20:53 +0100

scipy (1.15.2-1exp6) experimental; urgency=medium

  * debian patch ndimage_segfault_filter_mirror_PR22608.patch applies
    upstream PR#22608 to fix a segfault in ndimage filtering in mirror
    mode. Needed for datalab to pass tests (#1098652). Closes: #1098652
  * skip failing tests
    - hurd: test_backend_plan (also requires threading)
    - powerpc: test_simple_det_shapes_real_complex,
      all test_dot in TestMikotaPair,
      various sparse matrix tests
    - apply all powerpc skips related to complex, 64-bit and sparse
      to hppa

 -- Drew Parsons <dparsons@debian.org>  Fri, 07 Mar 2025 10:51:12 +0100

scipy (1.15.2-1exp5) experimental; urgency=medium

  * fix powerpc int64 test skips
  * hurd: skip tests affected by incompatible threading module
  * skip failing tests
    - hppa: another test_QRVS_shape_consistency[*NumericalInversePolynomial]
    - hurd-i386: test_ignore_shape_range, test_QRVS_size_tuple

 -- Drew Parsons <dparsons@debian.org>  Tue, 04 Mar 2025 12:32:01 +0100

scipy (1.15.2-1exp4) experimental; urgency=medium

  * fix ppc64 test skips
  * skip more tests
    - mips64el: skip test_nan_array and more cases of
      test_axis_nan_policy_axis_is_None (upstream Issue#22360)
    - hppa: test_QRVS_shape_consistency[...NumericalInversePolynomial]
    - hurd-i386: test_setting_loc_scale
    - powerpc: skip tests involving 64-bit (or 128-bit) numbers
    - sparc64: skip special test_extending.py::test_cython

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Feb 2025 21:55:15 +0100

scipy (1.15.2-1exp3) experimental; urgency=medium

  * python3-scipy Recommends: python3-yaml.
    The stdout mode will give more readable output if `pyyaml`
    (yaml) is installed.
    - debian/tests Depends: python3-yaml
      (avoid test error due to pyyaml warning in stderr)
  * skip failing tests
    - riscv64 hppa sparc64: skip test_nan_inputs[sph_harm]
    - hurd-i386: test_domain_argus_large_chi
    - powerpc, ppc64: test_hyp0f1, test_eval_chebyt_gh20129endif
    - sparc64: cython (complex) and stats (nan) failing
      see https://github.com/scipy/scipy/issues/22577

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Feb 2025 11:21:46 +0100

scipy (1.15.2-1exp2) experimental; urgency=medium

  * debian/rules: drop special handling of libhighs.a, which is no
    longer installed by upstream (PR#22357)

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Feb 2025 23:35:33 +0100

scipy (1.15.2-1exp1) experimental; urgency=medium

  * New upstream release
    - applies debian patch spline_GCVSPL_enddian_PR22345.patch

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Feb 2025 21:41:46 +0100

scipy (1.15.1-1exp3) experimental; urgency=medium

  * extend test_nan_policy_array_22360.patch to all permutations of
    asanyarray() vs asarray(), np from numpy or scipy,
    axis=None, 0 or default (which should be None).

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 Jan 2025 12:51:00 +0100

scipy (1.15.1-1exp2) experimental; urgency=medium

  * debian/tests/python3: report system info and versions
    as required for upstream bug reports
  * report test durations (slowest 20) for build-time tests to
    identify slow tests (especially for hppa)
  * debian patch spline_GCVSPL_enddian_PR22345.patch applies upstream
    PR#22345 to prevent spline GCVSPL enddian failure
    (for s390x, powerpc, ppc64). See upstream issue #22361.
  * update manage_tests.patch to relax tolerance in special test
    TestHyp2f1.test_region3 case23 (for i386).
    See upstream Issue#22363.
  * debian patch test_nan_policy_array_22360.patch applies a test
    suggested upstream to help diagnose a problem with nan arrays
    in test_axis_nan_policy_axis_is_None[mixed-*-xp*] on mips64el.
    See upstream issue #22360.

 -- Drew Parsons <dparsons@debian.org>  Mon, 20 Jan 2025 22:58:50 +0100

scipy (1.15.1-1exp1) experimental; urgency=medium

  * New upstream release
    - update versioned Build-Depends: python3-pybind11 (>= 2.13.2~)
    - Build-Depends-Indep: python3-sphinx-copybutton,
      python3-jupytext <!nodoc>
    - applies debian patch fix_scipydoc_directive_PR20976.patch
      and quadpack_C_PR21201.patch
    - deprecates debian patch scipy-ub-float-to-int.patch
      (see upstream PR#21553)
  * update debian/copyright to add new or moved submodules
    - scipy/_lib/array_api_compat
      Copyright: 2022 Consortium for Python Data API Standards
      License: MIT
    - scipy/_lib/array_api_extra
      Copyright: 2024 Consortium for Python Data API Standards
      License: MIT
    - scipy/_lib/cobyqa


=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: scipy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>,
            Ondrej Certik <ondrej@certik.cz>,
            David Cournapeau <cournape@gmail.com>,
@@ -14,7 +13,6 @@
                gfortran,
                libblas-dev,
                liblapack-dev,
-               liblbfgsb-dev,
                libsuitesparse-dev,
                python3-mesonpy (>= 0.15.0~),
                pkgconf,
@@ -22,19 +20,23 @@
                python3-decorator,
                python3-numpy (>= 1:1.26.0~),
                python3-pooch,
-               python3-pybind11 (>= 2.12.0~),
+               python3-pybind11 (>= 2.13.2~),
                python3-setuptools,
                python3-wheel,
                python3-pythran (>= 0.15.0~),
                python3-pytest,
                python3-doit (>= 0.36.0~) <!nocheck>,
-               python3-hypothesis <!nocheck>
+               python3-hypothesis <!nocheck>,
+               python3-yaml
 Build-Depends-Indep: dvipng,
                      dh-sequence-sphinxdoc,
                      python3-doc <!nodoc>,
                      python3-docutils,
+                     python3-sphinx-copybutton <!nodoc>,
+                     python3-jupytext <!nodoc>,
                      python3-matplotlib,
                      python-matplotlib-doc <!nodoc>,
+                     python-mpmath-doc <!nodoc>,
                      python3-myst-nb <!nodoc>,
                      python-numpy-doc <!nodoc>,
                      python3-numpydoc <!nodoc>,
@@ -63,7 +65,8 @@
          ${shlibs:Depends}
 Recommends: g++ | c++-compiler,
             python3-pil,
-            python3-pooch
+            python3-pooch,
+            python3-yaml
 Suggests: python-scipy-doc
 Breaks: python3-skbio (<< 0.5.8-3~)
 Description: scientific tools for Python 3
